---
title: ':-moz-suppressed'
slug: 'Web/CSS/:-moz-suppressed'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - NeedsCompatTable
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}{{gecko_minversion_header("1.9")}}</div>

<p>The <strong><code>:-moz-suppressed</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches elements representing images that were suppressed because loading images from the specified site has been blocked.</p>

<div class="note">
<p><strong>Note:</strong> This selector is mainly intended to be used by theme developers.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-suppressed</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Styling_elements_that_have_been_blocked">Styling elements that have been blocked</h3>

<pre class="brush: css notranslate">:-moz-suppressed {
  background: yellow;
  padding: 8px;
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref(":-moz-broken")}}, {{cssxref(":-moz-loading")}}, {{cssxref(":-moz-user-disabled")}}</li>
</ul>
